Skip to content

/api/v1/facilities/{facilityId}/outbound/shipments/{shipmentId}/ship

POST
/api/v1/facilities/{facilityId}/outbound/shipments/{shipmentId}/ship
curl --request POST \
--url https://example.com/api/v1/facilities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/outbound/shipments/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ship \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "loadReference": "example" }'
facilityId
required
string format: uuid
shipmentId
required
string format: uuid
object
loadReference
string
nullable

Example generated

{
"loadReference": "example"
}

OK

object
id
required
string format: uuid
orderId
required
string format: uuid
orderNumber
required
string
carrierAccountId
required
string format: uuid
provider
required
string
Allowed values: Simulated EasyPost
status
required
string
Allowed values: Rated Labelled Shipped
rates
required
Array<object>
object
id
required
string
carrier
required
string
service
required
string
amount
required
number format: double
currency
required
string
deliveryDays
required
integer format: int32
nullable
carrier
required
string
nullable
service
required
string
nullable
rateAmount
required
number format: double
nullable
rateCurrency
required
string
nullable
parcels
required
Array<object>
object
id
required
string format: uuid
containerId
required
string format: uuid
containerCode
required
string
weight
required
number format: double
weightUnit
required
string
Allowed values: Kg G Lb Oz
trackingNumber
required
string
nullable
hasLabel
required
boolean
loadReference
required
string
nullable
labelledAt
required
string format: date-time
nullable
shippedAt
required
string format: date-time
nullable
createdAt
required
string format: date-time
updatedAt
required
string format: date-time

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Conflict

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable